uuid: f0e422f6-975d-4b44-bab2-5c64b8b924f2
langcode: en
status: true
dependencies:
  enforced:
    module:
      - rg_import
_core:
  default_config_hash: 4cnXR_Osu1Dtk3SRQtgkrFZuFvdD5dBqxQdINQUuLY4
id: rgp_stove_field_form_mode
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags: null
migration_group: stove
label: 'Import fields to form mode'
source:
  plugin: url
  data_fetcher_plugin: http
  data_parser_plugin: json
  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetAgaStovesAttributes'
  item_selector: data
  track_changes: true
  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: 'http://akeneoce.hicmedia.com'
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'
  fields:
    -
      name: code
      label: 'Machine name'
      selector: code
    -
      name: label
      label: Name
      selector: label
    -
      name: type
      label: Type
      selector: type
    -
      name: group_id
      label: Group
      selector: group_id
  ids:
    code:
      type: string
  constants:
    entity_type: commerce_product_variation
    bundle: stove
    form_mode: default
process:
  machine_code:
    -
      plugin: machine_name
      source: code
    -
      plugin: substr
      start: 0
      length: 32
  entity_type: constants/entity_type
  bundle: constants/bundle
  form_mode: constants/form_mode
  field_name:
    plugin: default_value
    source: '@machine_code'
  type:
    plugin: skip_on_value
    source: type
    method: row
    value: pim_catalog_price_collection
destination:
  plugin: component_entity_form_display
migration_dependencies:
  required:
    - rgp_stove_field_instance
